Comment on issue

POST
/api/v1/issues/{code}/comments

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

code*string

Request body

application/json
  1. body
body*string
Length1 <= length
replyTo?string

The comment this one answers; replies stay one level deep.

files?array<>

Response body

IssueComment

application/json
  1. response
id*string
parentCommentId*string|null
replyToCommentId*string|null
author*
body*string
createdAt*string
editedAt*string|null
curl -X POST 'https://api.capy.ai/api/v1/issues/string/comments' \  -H 'Content-Type: application/json' \  -d '{  "body": "string"}'
{  "id": "string",  "parentCommentId": "string",  "replyToCommentId": "string",  "author": {    "kind": "user",    "id": "string",    "code": "string"  },  "body": "string",  "createdAt": "string",  "editedAt": "string"}
Open in Capy